Bug 91452 - redhat-config-users disables accounts created with adduser
Summary: redhat-config-users disables accounts created with adduser
Status: CLOSED DUPLICATE of bug 88190
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-users   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 100524
TreeView+ depends on / blocked
 
Reported: 2003-05-22 19:10 UTC by Joe Parks
Modified: 2006-02-21 18:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:53:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Parks 2003-05-22 19:10:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
The Red Hat User Manager's "User Properties" dialog's "Password Info" tab
apparently defaults to having "Enable Password Expiration" checked but "Days
Before Account Inactive" set to 0 for accounts created from the commandline
utility "adduser" (including the default account created at install time).  So
if a user tabs past that when adding a group membership the account is suddenly
disabled.

This can be very surprising.

Version-Release number of selected component (if applicable):
redhat-config-users-1.1.5-7

How reproducible:
Always

Steps to Reproduce:
1. Create a test user with the 'adduser' command.
2. Examine that user's properties with redhat-config-users.
3. Click the "Password Info" tab.
4. Click "OK"


Actual Results:  Account is disabled

Expected Results:  Account should NOT have been disabled:  The user account
should have continued functioning in the same manner it was BEFORE using the
utility.  (Better Defaults?)

Additional info:

This bug can lock an inexperienced user out of his newly installed system
completely.

Comment 1 Brent Fox 2003-07-23 05:48:31 UTC
Part of the problem seems to be that the data I'm getting back from libuser
isn't an accurate portrayal of what's in /etc/shadow.

Comment 2 Brent Fox 2003-12-01 20:32:23 UTC

*** This bug has been marked as a duplicate of 88190 ***

Comment 3 Red Hat Bugzilla 2006-02-21 18:53:13 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.